airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Riccomini (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-1617) XSS Vulnerability in Variable endpoint
Date Mon, 18 Sep 2017 18:44:00 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-1617?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16170479#comment-16170479
] 

Chris Riccomini commented on AIRFLOW-1617:
------------------------------------------

I have merged into master and 1.9.0. I haven't touched 1.8.3 (v1-8-stable?) as I'm not quite
sure which place to cherry pick it into.

> XSS Vulnerability in Variable endpoint
> --------------------------------------
>
>                 Key: AIRFLOW-1617
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-1617
>             Project: Apache Airflow
>          Issue Type: Bug
>          Components: webserver
>    Affects Versions: 1.8.2
>            Reporter: Bolke de Bruin
>            Priority: Critical
>              Labels: security
>             Fix For: 1.9.0, 1.8.3
>
>
> Variable view has an XSS vulnerability when the Variable template does not exist. The
input is returned to the user as is, without escaping.
> Original report by Seth Long. CVE is pending



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message